Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::Current Interface Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::Current:

[legend]
Collaboration diagram for RTCORBA::Current:

[legend]
List of all members.

## Public Types
typedef Current_ptr | _ptr_type
typedef Current_var | _var_type
## Public Methods
virtual RTCORBA::Priority | the_priority (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | the_priority (RTCORBA::Priority the_priority ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
Current_ptr | _duplicate (Current_ptr obj)
Current_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Current_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Current_ptr | _nil (void)
## Public Attributes
attribute Priority | the_priority
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| Current (void)
virtual | ~Current (void)
## Private Methods
| Current (const Current &)
void | operator= (const Current &)

## Member Typedef Documentation

typedef Current_ptr RTCORBA::Current::_ptr_type

typedef Current_var RTCORBA::Current::_var_type

## Constructor & Destructor Documentation

RTCORBA::Current::Current | ( | void |  | ) | `[protected]`

virtual RTCORBA::Current::~Current | ( | void |  | ) | `[protected, virtual]`

RTCORBA::Current::Current | ( | const Current & |  | ) | `[private]`

## Member Function Documentation

Current_ptr RTCORBA::Current::_duplicate | ( | Current_ptr | obj | ) | `[static]`

virtual const char* RTCORBA::Current::_interface_repository_id | ( | void |  | ) | const`[virtual]`

Current_ptr RTCORBA::Current::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

Current_ptr RTCORBA::Current::_nil | ( | void |  | ) | `[inline, static]`

virtual void* RTCORBA::Current::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

Current_ptr RTCORBA::Current::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

void RTCORBA::Current::operator= | ( | const Current & |  | ) | `[private]`

virtual void RTCORBA::Current::the_priority | ( | RTCORBA::Priority the_priority | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_Current.

virtual RTCORBA::Priority RTCORBA::Current::the_priority | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_Current.

## Member Data Documentation

int RTCORBA::Current::_tao_class_id`[static]`

attribute Priority RTCORBA::Current::the_priority

The documentation for this interface was generated from the following files:

- RTCORBA.pidl
- RTCORBAC.h